function init(hero) {
    hero.setName("Ven-Ghan");
    hero.setTier(6);

    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("pkg:ven_ghan");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);

    hero.addKeyBind("GUN", "Gun", 1);
    hero.addKeyBind("BLADE", "Sword", 2);
    hero.addKeyBind("UTILITY_BELT", "Arsenal", 3);
    hero.setDefaultScale(1.1)

    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 20.5, 0);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
        case "fiskheroes:lightning_cast":
            return entity.getData("pkg:dyn/gun");
        default:
            return true;
    }
}